Kernel panic - not syncing: Too many boot init vars at `nomdmonddf'

Bug #1465567 reported by Iain Lane on 2015-06-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mdadm (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Iain Lane
Vivid
Undecided
Iain Lane

Bug Description

[Impact]

Every time grub-pc is configured when mdadm is installed, "nomdmonddf nomdmonisw" is added to GRUB_CMDLINE_LINUX_DEFAULT in /etc/default/grub. Eventually this overflows a limit in the kernel which causes panics and failed boots.

Let's only add this the once.

I had this in my cmdline

linux /boot/vmlinuz-3.19.0-20-generic root=UUID=980689ca-e7d9-4a99-8230-33b8b6e917cd ro nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw
                       nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf
                       nomdmonisw nomdmonddf nomdmonisw systemd.debug-shell nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw

We should only add the parameters if they aren't already there.

[Test Case]

1. Look at GRUB_CMDLINE_LINUX_DEFAULT in /etc/default/grub.
2. apt-get install mdadm
3. apt-get install --reinstall grub-pc

Repeat 3 a few times.

Before the SRU, you should see "nomdmonddf nomdmonisw" several times and after it just once.

[Regression Potential]

The script could have a syntax error. It could not work as intended. It might cause conffile prompts.

Check upgrades and new installs in as many scenarios as we can.

Iain Lane (laney) on 2015-06-16
Changed in mdadm (Ubuntu):
status: New → Fix Committed
Changed in mdadm (Ubuntu Trusty):
status: New → In Progress
Changed in mdadm (Ubuntu Vivid):
status: New → In Progress
Changed in mdadm (Ubuntu Trusty):
assignee: nobody → Iain Lane (laney)
Changed in mdadm (Ubuntu Vivid):
assignee: nobody → Iain Lane (laney)
Iain Lane (laney) on 2015-06-16
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mdadm - 3.3-2ubuntu2

---------------
mdadm (3.3-2ubuntu2) wily; urgency=medium

  * debian/dmraid2mdadm.cfg: Only append to GRUB_CMDLINE_LINUX_DEFAULT one
    time. (LP: #1465567)

 -- Iain Lane <email address hidden> Tue, 16 Jun 2015 10:48:09 +0100

Changed in mdadm (Ubuntu):
status: Fix Committed → Fix Released

Hello Iain, or anyone else affected,

Accepted mdadm into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mdadm/3.2.5-5ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mdadm (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in mdadm (Ubuntu Vivid):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Iain, or anyone else affected,

Accepted mdadm into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mdadm/3.3-2ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Iain Lane (laney) wrote :

I'd appreciate it if someone other than me could try to verify or unverify this.

Mathew Hodson (mhodson) on 2015-08-13
description: updated
Mathew Hodson (mhodson) wrote :

I reproduced the problem and verified that it is fixed by mdadm 3.2.5-5ubuntu4.2 from trusty-proposed. Additional "nomdmonddf nomdmonisw" entries are not appended when grub is reinstalled.

If you already had additional entries, they won't be removed when grub is reconfigured though.

I don't usually use mdadm, and I don't have a RAID array, so I can't test other than that.

Adam Conrad (adconrad) on 2015-08-13
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mdadm - 3.2.5-5ubuntu4.2

---------------
mdadm (3.2.5-5ubuntu4.2) trusty; urgency=medium

  * debian/dmraid2mdadm.cfg: Only append to GRUB_CMDLINE_LINUX_DEFAULT one
    time. (LP: #1465567)

 -- Iain Lane <email address hidden> Tue, 16 Jun 2015 11:06:14 +0100

Changed in mdadm (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mdadm has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mdadm - 3.3-2ubuntu1.1

---------------
mdadm (3.3-2ubuntu1.1) vivid; urgency=medium

  * debian/dmraid2mdadm.cfg: Only append to GRUB_CMDLINE_LINUX_DEFAULT one
    time. (LP: #1465567)

 -- Iain Lane <email address hidden> Tue, 16 Jun 2015 10:56:44 +0100

Changed in mdadm (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers